# $Id: Makefile.am,v 1.34 2001/01/06 10:48:23 coolo Exp $
##

INCLUDES=	$(all_includes)
LDFLAGS	=	$(all_libraries) $(KDE_RPATH)
LDADD	=       $(LIB_KSYCOCA) $(LIB_KFILE) 

appsdir = $(kde_appsdir)/Graphics
apps_DATA = kpaint.desktop

KDE_ICON = kpaint

kpaint_SOURCES = main.cpp canvas.cpp kpaint.cpp manager.cpp \
	infodialog.cpp palette.cpp palettedialog.cpp \
	canvassize.cpp properties.cpp \
	tool.cpp ellipse.cpp circle.cpp line.cpp brush.cpp \
	spraycan.cpp rectangle.cpp pen.cpp areaselect.cpp depthdialog.cpp \
	roundangle.cpp navwidget.cpp view.cpp \
	mainview.cpp text.cpp

noinst_HEADERS = areaselect.h brush.h canvas.h canvassize.h circle.h \
	depthdialog.h ellipse.h infodialog.h \
	kpaint.h kundo.h line.h main.h manager.h navwidget.h palette.h \
	palettedialog.h pen.h properties.h rectangle.h roundangle.h \
	spraycan.h tool.h version.h view.h mainview.h text.h

METASOURCES = canvas.moc canvassize.moc kpaint.moc manager.moc infodialog.moc \
	depthdialog.moc properties.moc palette.moc \
	palettedialog.moc tool.moc spraycan.moc circle.moc brush.moc \
	navwidget.moc view.moc rectangle.moc roundangle.moc \
	pen.moc ellipse.moc mainview.moc areaselect.moc text.moc \
	line.moc

rc_DATA = kpaint.rc
rcdir = $(kde_datadir)/kpaint

bin_PROGRAMS = kpaint

SUBDIRS = toolpics images

EXTRA_DIST = $(apps_DATA) 

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kpaint.pot

